<div class="mb-3">
  <h3
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="block.required"
  ></h3>
  <p *ngIf="description" class="text-secondary" markdown [content]="description" [context]="context"></p>
  <div (click)="block.exampleSlot.set('A nice value!')" style="color: red">
    This is an example block with an example data slot that can be set. If the block is required, the validation will
    pass as soon as the value is set.
    <br />
    Current value of example slot:
    <b>{{block.exampleSlot.string || 'Not set'}}</b> (click here to set a value)
  </div>
  <div
    *ngIf="explanation"
    class="form-text"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></div>
</div>
